if ENV['COVERAGE']
  require 'simplecov'
  SimpleCov.start
end

require 'webmock/rspec'
require 'vcr'
require 'contentful_lite'

VCR.configure do |config|
  config.cassette_library_dir = 'fixtures/vcr_cassettes'
  config.hook_into :webmock

  config.default_cassette_options = { record: :once }
end

RSpec.configure do |config|
  # Enable flags like --only-failures and --next-failure
  config.example_status_persistence_file_path = '.rspec_status'

  # Disable RSpec exposing methods globally on `Module` and `main`
  config.disable_monkey_patching!

  config.expect_with :rspec do |c|
    c.syntax = :expect
  end
end
